Get firewall group assignment for a virtual server

See which firewall group is currently associated with a specific virtual server (VM) to check network security settings.

VPS Services Firewall

Context

Where to get IDs / values

Path Parameters

vmid integer · min: 1 required Example: 10000

Unique vmid identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.assignment string · nullable required · Example: null

Nullable: may be null when not applicable.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

401
code string required · Example: UNAUTHORIZED

Machine-readable error code.

error string required · Example: Unauthorized

HTTP status title (e.g. 'Bad Request').

message string required · Example: Authentication required

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/vm/{vmid}/firewall/group
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/vm/10000/firewall/group" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "assignment": null
  }
}